FLANG

Public Types | Public Member Functions | Public Attributes | List of all members
Fortran::evaluate::ConvertToKindHelper< TOCAT, VALUE > Struct Template Reference

## Public Types
using | Result = std::optional< Expr< SomeKind< TOCAT > >>
using | Types = CategoryTypes< TOCAT >

## Public Member Functions
| ConvertToKindHelper (int k, VALUE &&x)
template<typename T >
Result | Test ()

## Public Attributes
int | kind
VALUE | value

The documentation for this struct was generated from the following file:

- include/flang/Evaluate/tools.h